#ifndef _PRESERVE_H
#define _PRESERVE_H

extern void    get_history();                 /* load history file        */
extern void    put_history();                 /* save history file        */
extern int     save_state();                  /* save run state           */
extern int     restore_state();               /* restore run state        */

extern int     hist_month[MH];                /* arrays for monthly total */
extern int     hist_year[MH];
extern u_int64_t  hist_hit[MH];               /* calculations: used to    */
extern u_int64_t  hist_files[MH];             /* produce index.html       */
extern u_int64_t  hist_site[MH];              /* these are read and saved */
extern u_int64_t  hist_xfer[MH];              /* in the history file      */
extern u_int64_t  hist_page[MH];
extern u_int64_t  hist_visit[MH];
extern u_int64_t hist_code2xx304[MH];

extern int     hist_fday[MH];                 /* first/last day arrays    */
extern int     hist_lday[MH];

#endif  /* _PRESERVE_H */
